/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34950A.h"





/// <summary>
/// Configures Totalizer system.
/// </summary>
/// <remarks>
/// 
/// </remarks>
/// <returns>
///	
/// </returns>
/// <param name="ChannelList">
///	One or more channels in the form sccc.
/// </param>
/// <param name="GateSource">
///	Gate source.
/// </param>
/// <param name="ReadType">
///	Type of reading.
/// </param>
HRESULT Agilent34950A::IAgilent34950ATotalizer_Configure(BSTR ChannelList, Agilent34950AGateSourceEnum GateSource, Agilent34950ATotalizeTypeEnum ReadType)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
/// Clears the totalizer count.
/// </summary>
/// <remarks>
/// An error will be reported if attempting to clear during an initiated measurement.
/// </remarks>
/// <returns>
///	
/// </returns>
/// <param name="ChannelList">
///	One or more channels in the form sccc.
/// </param>
HRESULT Agilent34950A::IAgilent34950ATotalizer_Clear(BSTR ChannelList)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
/// Returns the current totalizer count.
/// </summary>
/// <remarks>
/// Can be used at any time. If an internally gated measurement is in progress this
/// query will pend until the measurement is complete.
/// </remarks>
/// <returns>
///	
/// </returns>
/// <param name="ChannelList">
///	One or more channels in the form sccc.
/// </param>
HRESULT Agilent34950A::IAgilent34950ATotalizer_ReadData(BSTR ChannelList, long* Val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommand( Val );

	return hr;
}

/// <summary>
///	Sets or gets the read type.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc.
/// </param>
HRESULT Agilent34950A::IAgilent34950ATotalizer_get_ReadType(BSTR ChannelList, Agilent34950ATotalizeTypeEnum* val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommandEnum(val);

	return hr;
}

/// <summary>
///	Sets or gets the read type.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc.
/// </param>
HRESULT Agilent34950A::IAgilent34950ATotalizer_put_ReadType(BSTR ChannelList, Agilent34950ATotalizeTypeEnum val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}
